Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.component.html
Class ContextMenu

    java.lang.Object
      javax.faces.component.UIComponent
          javax.faces.component.UIComponentBase
              org.richfaces.component.UIContextMenu
                  org.richfaces.component.html.ContextMenu

All Implemented Interfaces:
  javax.faces.component.StateHolder, MenuComponent

    public class ContextMenu

extends UIContextMenu

Field Summary
`static java.lang.String` | `COMPONENT_FAMILY`
`static java.lang.String` | `COMPONENT_TYPE`

Fields inherited from class org.richfaces.component.UIContextMenu
`DISABLE_DEFAULT_MENU, ON_CONTEXT_MENU`

Fields inherited from class javax.faces.component.UIComponent
`bindings`

Fields inherited from interface org.richfaces.component.MenuComponent
`MODE_AJAX, MODE_NONE, MODE_SERVER`

Constructor Summary
`ContextMenu()`

Method Summary
`java.lang.String` | `getAttachTiming()`
`java.lang.String` | `getAttachTo()`
`java.lang.String` | `getDisabledItemClass()`
`java.lang.String` | `getDisabledItemStyle()`
`java.lang.String` | `getEvent()`
`java.lang.String` | `getFamily()`
`java.lang.Integer` | `getHideDelay()`
`java.lang.String` | `getItemClass()`
`java.lang.String` | `getItemStyle()`
`java.lang.String` | `getOncollapse()`
`java.lang.String` | `getOnexpand()`
`java.lang.String` | `getOngroupactivate()`
`java.lang.String` | `getOnitemselect()`
`java.lang.String` | `getOnmousemove()`
`java.lang.String` | `getOnmouseout()`
`java.lang.String` | `getOnmouseover()`
`java.lang.String` | `getPopupWidth()`
`java.lang.String` | `getSelectItemClass()`
`java.lang.String` | `getSelectItemStyle()`
`java.lang.Integer` | `getShowDelay()`
`java.lang.String` | `getStyle()`
`java.lang.String` | `getStyleClass()`
`java.lang.String` | `getSubmitMode()` Getter for submit mode property.
`boolean` | `isAttached()`
`boolean` | `isDisableDefaultMenu()`
`void` | `restoreState(javax.faces.context.FacesContext context, java.lang.Object state)`
`java.lang.Object` | `saveState(javax.faces.context.FacesContext context)`
`void` | `setAttached(boolean _attached)`
`void` | `setAttachTiming(java.lang.String _attachTiming)`
`void` | `setAttachTo(java.lang.String _attachTo)`
`void` | `setDisableDefaultMenu(boolean _disableDefaultMenu)`
`void` | `setDisabledItemClass(java.lang.String _disabledItemClass)`
`void` | `setDisabledItemStyle(java.lang.String _disabledItemStyle)`
`void` | `setEvent(java.lang.String _event)`
`void` | `setHideDelay(java.lang.Integer _hideDelay)`
`void` | `setItemClass(java.lang.String _itemClass)`
`void` | `setItemStyle(java.lang.String _itemStyle)`
`void` | `setOncollapse(java.lang.String _oncollapse)`
`void` | `setOnexpand(java.lang.String _onexpand)`
`void` | `setOngroupactivate(java.lang.String _ongroupactivate)`
`void` | `setOnitemselect(java.lang.String _onitemselect)`
`void` | `setOnmousemove(java.lang.String _onmousemove)`
`void` | `setOnmouseout(java.lang.String _onmouseout)`
`void` | `setOnmouseover(java.lang.String _onmouseover)`
`void` | `setPopupWidth(java.lang.String _popupWidth)`
`void` | `setSelectItemClass(java.lang.String _selectItemClass)`
`void` | `setSelectItemStyle(java.lang.String _selectItemStyle)`
`void` | `setShowDelay(java.lang.Integer _showDelay)`
`void` | `setStyle(java.lang.String _style)`
`void` | `setStyleClass(java.lang.String _styleClass)`
`void` | `setSubmitMode(java.lang.String _submitMode)`

Methods inherited from class javax.faces.component.UIComponentBase
`addFacesListener, broadcast, decode, encodeBegin, encodeChildren, encodeEnd, findComponent, getAttributes, getChildCount, getChildren, getClientId, getFacesContext, getFacesListeners, getFacet, getFacetCount, getFacets, getFacetsAndChildren, getId, getParent, getRenderer, getRendererType, getRendersChildren, getValueBinding, invokeOnComponent, isRendered, isTransient, processDecodes, processRestoreState, processSaveState, processUpdates, processValidators, queueEvent, removeFacesListener, restoreAttachedState, saveAttachedState, setId, setParent, setRendered, setRendererType, setTransient, setValueBinding`

Methods inherited from class javax.faces.component.UIComponent
`encodeAll, getContainerClientId, getValueExpression, setValueExpression`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### COMPONENT_FAMILY

    public static final java.lang.String COMPONENT_FAMILY

See Also:
  Constant Field Values

### COMPONENT_TYPE

    public static final java.lang.String COMPONENT_TYPE

See Also:
  Constant Field Values

Constructor Detail

### ContextMenu

    public ContextMenu()

Method Detail

### getAttachTiming

    public java.lang.String getAttachTiming()

  Specified by:
    `getAttachTiming` in class `UIContextMenu`

### setAttachTiming

    public void setAttachTiming(java.lang.String _attachTiming)

  Specified by:
    `setAttachTiming` in class `UIContextMenu`

### getAttachTo

    public java.lang.String getAttachTo()

  Specified by:
    `getAttachTo` in class `UIContextMenu`

### setAttachTo

    public void setAttachTo(java.lang.String _attachTo)

  Specified by:
    `setAttachTo` in class `UIContextMenu`

### isAttached

    public boolean isAttached()

  Specified by:
    `isAttached` in class `UIContextMenu`

### setAttached

    public void setAttached(boolean _attached)

  Specified by:
    `setAttached` in class `UIContextMenu`

### isDisableDefaultMenu

    public boolean isDisableDefaultMenu()

  Specified by:
    `isDisableDefaultMenu` in class `UIContextMenu`

### setDisableDefaultMenu

    public void setDisableDefaultMenu(boolean _disableDefaultMenu)

  Specified by:
    `setDisableDefaultMenu` in class `UIContextMenu`

### getDisabledItemClass

    public java.lang.String getDisabledItemClass()

### setDisabledItemClass

    public void setDisabledItemClass(java.lang.String _disabledItemClass)

### getDisabledItemStyle

    public java.lang.String getDisabledItemStyle()

### setDisabledItemStyle

    public void setDisabledItemStyle(java.lang.String _disabledItemStyle)

### getEvent

    public java.lang.String getEvent()

  Specified by:
    `getEvent` in class `UIContextMenu`

### setEvent

    public void setEvent(java.lang.String _event)

  Specified by:
    `setEvent` in class `UIContextMenu`

### getHideDelay

    public java.lang.Integer getHideDelay()

### setHideDelay

    public void setHideDelay(java.lang.Integer _hideDelay)

### getItemClass

    public java.lang.String getItemClass()

### setItemClass

    public void setItemClass(java.lang.String _itemClass)

### getItemStyle

    public java.lang.String getItemStyle()

### setItemStyle

    public void setItemStyle(java.lang.String _itemStyle)

### getOncollapse

    public java.lang.String getOncollapse()

### setOncollapse

    public void setOncollapse(java.lang.String _oncollapse)

### getOnexpand

    public java.lang.String getOnexpand()

### setOnexpand

    public void setOnexpand(java.lang.String _onexpand)

### getOngroupactivate

    public java.lang.String getOngroupactivate()

### setOngroupactivate

    public void setOngroupactivate(java.lang.String _ongroupactivate)

### getOnitemselect

    public java.lang.String getOnitemselect()

### setOnitemselect

    public void setOnitemselect(java.lang.String _onitemselect)

### getOnmousemove

    public java.lang.String getOnmousemove()

### setOnmousemove

    public void setOnmousemove(java.lang.String _onmousemove)

### getOnmouseout

    public java.lang.String getOnmouseout()

### setOnmouseout

    public void setOnmouseout(java.lang.String _onmouseout)

### getOnmouseover

    public java.lang.String getOnmouseover()

### setOnmouseover

    public void setOnmouseover(java.lang.String _onmouseover)

### getPopupWidth

    public java.lang.String getPopupWidth()

### setPopupWidth

    public void setPopupWidth(java.lang.String _popupWidth)

### getSelectItemClass

    public java.lang.String getSelectItemClass()

### setSelectItemClass

    public void setSelectItemClass(java.lang.String _selectItemClass)

### getSelectItemStyle

    public java.lang.String getSelectItemStyle()

### setSelectItemStyle

    public void setSelectItemStyle(java.lang.String _selectItemStyle)

### getShowDelay

    public java.lang.Integer getShowDelay()

  Specified by:
    `getShowDelay` in class `UIContextMenu`

### setShowDelay

    public void setShowDelay(java.lang.Integer _showDelay)

  Specified by:
    `setShowDelay` in class `UIContextMenu`

### getStyle

    public java.lang.String getStyle()

### setStyle

    public void setStyle(java.lang.String _style)

### getStyleClass

    public java.lang.String getStyleClass()

### setStyleClass

    public void setStyleClass(java.lang.String _styleClass)

### getSubmitMode

    public java.lang.String getSubmitMode()

  Description copied from interface: `MenuComponent`
  Getter for submit mode property.

### setSubmitMode

    public void setSubmitMode(java.lang.String _submitMode)

### getFamily

    public java.lang.String getFamily()

  Specified by:
    `getFamily` in class `javax.faces.component.UIComponent`

### saveState

    public java.lang.Object saveState(javax.faces.context.FacesContext context)

  Specified by:
    `saveState` in interface `javax.faces.component.StateHolder`
  Overrides:
    `saveState` in class `javax.faces.component.UIComponentBase`

### restoreState

    public void restoreState(javax.faces.context.FacesContext context,
                             java.lang.Object state)

  Specified by:
    `restoreState` in interface `javax.faces.component.StateHolder`
  Overrides:
    `restoreState` in class `javax.faces.component.UIComponentBase`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009. All Rights Reserved.